---
slices:
   id: TouristicCDN_sliced
   name: TouristicCDN_sliced
   short-name: TouristicCDN_sliced
   description: Slicing for Elastic Touristic CDN
   vendor: MTC
   version: '1.0'

   slice:
      # at least one slice component and one VDU should be defined
      - dc-slice-part:
           name: dc-slice1
           dc-slice-controller:
              dc-slice-provider: undefined
              ip: undefined
              port: undefined
           VIM: undefined
           vdus:
              # defining load balancer VDU
              - dc-vdu:
                   id: load_balancer
                   name: load_balancer
                   description: load balancer for elastic CDN deployment
                   host-count-in-dc: 1
                   max-host-count-in-dc: 1

              # defining web server cluster VDU
              - dc-vdu:
                   id: web_server_VM
                   name: web_server_VM
                   description: web-servers for elastic CDN deployment
                   host-count-in-dc: {equal: 5}
                   max-host-count-in-dc: {equal: 8}

              # defining orchestrator VDU
              - dc-vdu:
                   id: orchestrator
                   name: orchestrator_VM
                   description: Elastic CDN orchestrator VM
                   host-count-in-dc: 1
                   max-host-count-in-dc: 1

           vim:
              name: cdn-xen-vim
              type: XEN-SERVER
              on-demand: true
              host-count: 5
              max-host-count: 8
              image: 'ubuntu_linux_16.04_xen_server'
              hypervisor:
                 type: XEN
                 version: '4.5'

      - dc-slice-part:
           dc-slice-controller:
              dc-slice-provider: undefined
              ip: undefined
              port: undefined

           VIM: undefined
           name: dc-slice2
           vdus:
              - dc-vdu:
                   id: web_server_VM
                   name: web_server_VM
                   description: web-servers for elastic CDN deployment
                   host-count-in-dc: {equal: 5}
                   max-host-count-in-dc: {equal: 7}

           vim:
              name: cdn-xen-vim
              type: XEN-SERVER
              on-demand: true
              host-count: 5
              max-host-count: 7
              image: 'ubuntu_linux_16.04_xen_server'
              hypervisor:
                 type: XEN
                 version: '4.5'

      - dc-slice-part:
           dc-slice-controller:
              dc-slice-provider: undefined
              ip: undefined
              port: undefined
           VIM: undefined
           name: dc-slice3
           vdus:
              - dc-vdu:
                   id: video_streaming_VM
                   name: video_streaming_VM
                   description: video-streaming for elastic CDN deployment
                   host-count-in-dc: {equal: 10}
                   max-host-count-in-dc: {equal: 10}
           vim:
              name: cdn-kubernetes
              type: KUBERNETES
              on-demand: true
              host-count: 10
              max-host-count: 10
              image: 'ubuntu_linux_16.04_kubernetes'

      - net-slice-part:
           name: pop-dc-slice1-to-pop-dc-slice2
           wan-slice-controller:
              wan-slice-provider: undefined
              ip: undefined
              port: undefined undefined
           WIM: undefined

           links:
              - dc-part1: dc-slice1
              - dc-part2: dc-slice2
           type: interaction
           accommodates:
              - service-element: orc-to-wsc
              - service-element: wsc-to-orc-monitoring
           link-ends:
              link-end1-ip: undefined
              link-end2-ip: undefined

      - net-slice-part:
           name: pop-dc-slice1-to-pop-dc-slice3
           wan-slice-controller:
              wan-slice-provider: undefined
              ip: undefined
              port: undefined undefined
           WIM: undefined

           links:
              - dc-part1: dc-slice1
              - dc-part2: dc-slice3
           type: interaction
           accommodates:
              - service-element: orc-to-vsc
              - service-element: vsc-to-orc-monitoring
           link-ends:
              link-end1-ip: undefined
              link-end2-ip: undefined
